package com.securitycontrol.screen.mapper;

import com.securitycontrol.entity.screen.dto.TowerAssInspectDto;
import com.securitycontrol.entity.screen.vo.TowerAssInspectVo;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author lsun
 * 组塔检测
 */
@Repository(value = "TowerAssInspectMapper")
public interface TowerAssInspectMapper {
    List<TowerAssInspectVo> getDeviceList(TowerAssInspectDto dto);

    List<TowerAssInspectVo> getRealTimeDetection(TowerAssInspectDto dto);

    List<TowerAssInspectVo> getTrend(TowerAssInspectDto dto);

    List<TowerAssInspectVo> getRealTimeAlarmList(TowerAssInspectDto dto);

    List<TowerAssInspectVo> getHistoryList(TowerAssInspectDto dto);
}
